Skip to main content
POST
/
api
/
climate
/
getClimateEventsForSensor
cURL
curl -X POST https://api2.rhombussystems.com/api/climate/getClimateEventsForSensor \
  -H "Content-Type: application/json" \
  -H "x-auth-scheme: api-token" \
  -H "x-auth-apikey: YOUR_API_KEY" \
  -d '{"sensorUuid": "YOUR_SENSOR_UUID", "startTime": 1700000000000, "endTime": 1700003600000}'
{
  "climateEvents": [
    {
      "alertActivities": [
        "SOUND_LOUD"
      ],
      "baseStationUuid": "AAAAAAAAAAAAAAAAAAAAAA",
      "batteryPercentage": 123,
      "bleDeviceUuid": "AAAAAAAAAAAAAAAAAAAAAA",
      "bleRssi": 123,
      "closeBaseStations": [
        "AAAAAAAAAAAAAAAAAAAAAA"
      ],
      "co2": 123,
      "ethanol": 123,
      "heatIndexDegF": 123,
      "heatIndexRangeWarning": "HEAT_INDEX_OK",
      "humidity": 123,
      "iaq": 123,
      "locationUuid": "AAAAAAAAAAAAAAAAAAAAAA",
      "orgUuid": "AAAAAAAAAAAAAAAAAAAAAA",
      "pm25": 123,
      "probeTempC": 123,
      "subLocationsHierarchyKey": "AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA",
      "tampered": true,
      "temp": 123,
      "thcDetected": true,
      "thcPercent": 123,
      "timestampMs": 123,
      "tvoc": 123,
      "vapeSmokeDetected": true,
      "vapeSmokePercent": 123
    }
  ],
  "error": true,
  "errorMsg": "<string>",
  "warningMsg": "<string>"
}

Authorizations

x-auth-apikey
string
header
required

Your API key for Rhombus.

Headers

x-auth-scheme
string
default:api-token
required

Authentication scheme indicator ("api-token").

Required string length: 9

Body

application/json

Request to retrieve climate events for an environmental sensor.

createdAfterMs
integer<int64> | null

Timestamp in milliseconds after which events should be retrieved

Example:

1640991600000

createdBeforeMs
integer<int64> | null

Timestamp in milliseconds before which events should be retrieved

Example:

1640995200000

limit
integer<int32> | null

Maximum number of events to return

Example:

100

sensorUuid
string<RUUID> | null

base 64 (url-safe) uuid string

Example:

"AAAAAAAAAAAAAAAAAAAAAA"

Response

200 - application/json

OK

Response containing climate events for an environmental sensor.

climateEvents
object[] | null

List of climate events for the sensor

error
boolean | null
errorMsg
string | null
warningMsg
string | null